Loading...
Searching...
No Matches
keys.h File Reference
Extensions » Session Manager

`pipewire/extensions/session-manager/keys.h` More...

Go to the source code of this file.

## Macros

#define | PW_KEY_SESSION_ID "session.id"
| id of a session manager
#define | PW_KEY_ENDPOINT_ID "endpoint.id"
| id of an endpoint
#define | PW_KEY_ENDPOINT_NAME "endpoint.name"
| the name of an endpoint
#define | PW_KEY_ENDPOINT_MONITOR "endpoint.monitor"
| endpoint is monitor of given endpoint
#define | PW_KEY_ENDPOINT_CLIENT_ID "endpoint.client.id"
| client of the endpoint
#define | PW_KEY_ENDPOINT_ICON_NAME "endpoint.icon-name"
| an XDG icon name for the device.
#define | PW_KEY_ENDPOINT_AUTOCONNECT "endpoint.autoconnect"
| try to automatically connect this endpoint.
#define | PW_KEY_ENDPOINT_TARGET "endpoint.target"
| the suggested target to connect to
#define | PW_KEY_ENDPOINT_STREAM_ID "endpoint-stream.id"
| id of a stream
#define | PW_KEY_ENDPOINT_STREAM_NAME "endpoint-stream.name"
| unique name of a stream
#define | PW_KEY_ENDPOINT_STREAM_DESCRIPTION "endpoint-stream.description"
| description of a stream
#define | PW_KEY_ENDPOINT_LINK_OUTPUT_ENDPOINT "endpoint-link.output.endpoint"
| output endpoint of link
#define | PW_KEY_ENDPOINT_LINK_OUTPUT_STREAM "endpoint-link.output.stream"
| output stream of link
#define | PW_KEY_ENDPOINT_LINK_INPUT_ENDPOINT "endpoint-link.input.endpoint"
| input endpoint of link
#define | PW_KEY_ENDPOINT_LINK_INPUT_STREAM "endpoint-link.input.stream"
| input stream of link

## Detailed Description

`pipewire/extensions/session-manager/keys.h`